package com.cool.store.enums;

/**
 * @Author: WangShuo
 * @Date: 2025/04/28/19:27
 * @Version 1.0
 * @注释:
 */
public enum StoreTypeEnum {
    //：0-无展示门店、1-餐厅店、2-普通门店
    NO_SHOW_STORE(0, "无展示门店"),
    RESTAURANT_STORE(1, "餐厅店"),
    ORDINARY_STORE(2, "普通门店"),
    X_STORE(3, "X店型"),
    Z_STORE(4, "Z店型");
    private Integer code;
    private String message;
    StoreTypeEnum(Integer code, String message) {
        this.code = code;
        this.message = message;
    }
    public Integer getCode() {
        return code;
    }
    public String getMessage() {
        return message;
    }
    public static String getMessage(Integer code) {
        if (code == null){
            return  null;
        }
        for (StoreTypeEnum c : StoreTypeEnum.values()) {
            if (c.getCode().equals(code)) {
                return c.message;
            }
        }
        return null;
    }
}
